<div class="theme-wrapper">
  <div class="theme-card noselect">
    <div class="theme-header">
      <div class="header-title">
        {{ "ABOUT.TITLE" | translate }}
      </div>

      <ion-button
        class="close-button-wrapper"
        size="small"
        color="dark"
        fill="clear"
        (click)="onClose()"
      >
        <ion-icon name="close-outline"></ion-icon>
      </ion-button>
    </div>

    <div class="theme-content">
      <div class="logo-segment noselect">
        <div class="logo-img">
          <app-logo width="42" height="42"></app-logo>
        </div>

        <div class="logo-name">
          <div class="logo-name-main">
            <div class="logo-name-background">Provo</div>
          </div>
        </div>
      </div>

      <div class="version-segment">
        {{ appVersion }}
      </div>

      <ion-button
        matTooltip="{{
          'TOOLTIPS.UPDATE_AVAILABLE'
            | translate : { version: latestAvailableVersion }
        }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        color="dark"
        size="small"
        fill="clear"
        (click)="onDownloadUpdate()"
        *ngIf="hasUpdateAvailable"
      >
        <ion-icon color="success" name="cloud-download-outline"></ion-icon>
      </ion-button>

      <div class="authors-segment">
        <div class="authors-label">{{ "ABOUT.AUTHORS" | translate }}</div>
        <div class="authors-names" *ngFor="let author of authors">
          {{ author }}
        </div>
      </div>

      <div class="source-segment">
        <div class="source-label">{{ "ABOUT.SOURCE" | translate }}</div>
        <div class="source-link" (click)="onSourceClick()">
          {{ projectName }}
        </div>
      </div>
    </div>
  </div>
</div>
